# hashtable.h File Reference

## Detailed Description

This file is a GNU extension to the Standard C++ Library (possibly containing extensions from the HP/SGI STL subset).

Definition in file hashtable.h.

Go to the source code of this file.

## Namespaces

- namespace __gnu_cxx

## Defines

- #define _HASHTABLE_H

## Enumerations

- enum { _S_num_primes }

## Functions

- unsigned long __stl_next_prime (unsigned long __n)
- template<class _Val, class _Key, class _HF, class _Ex, class _Eq, class _All> bool operator!= (const hashtable< _Val, _Key, _HF, _Ex, _Eq, _All > &__ht1, const hashtable< _Val, _Key, _HF, _Ex, _Eq, _All > &__ht2)
- template<class _Val, class _Key, class _HF, class _Ex, class _Eq, class _All> bool operator== (const hashtable< _Val, _Key, _HF, _Ex, _Eq, _All > &__ht1, const hashtable< _Val, _Key, _HF, _Ex, _Eq, _All > &__ht2)
- template<class _Val, class _Key, class _HF, class _Extract, class _EqKey, class _All> void swap (hashtable< _Val, _Key, _HF, _Extract, _EqKey, _All > &__ht1, hashtable< _Val, _Key, _HF, _Extract, _EqKey, _All > &__ht2)

## Variables

- static const unsigned long __stl_prime_list [_S_num_primes]